<?php

\defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\DI\Container;
use Joomla\CMS\Factory;

// Получаем DI-контейнер
$container = Factory::getContainer();

// Проверяем, есть ли view в переданных данных и доступен ли сервис в контейнере
if (
    empty($displayData['view']) ||
    !$container->has('ViewService') || // Используем 'has' вместо 'exists'
    !method_exists($displayData['view'], 'getFilterForm')
) {
    return; // Выходим, если форма фильтрации недоступна
}

// Получаем объект view из контейнера (если это требуется для других операций)
$view = $container->get('ViewService');

// Получаем форму фильтрации
$filterForm = $displayData['view']->getFilterForm();

// Проверяем, существует ли форма фильтрации
if (!$filterForm || !method_exists($filterForm, 'getGroup')) {
    return; // Выходим, если фильтры недоступны
}

$filters = $filterForm->getGroup('filter');

// Проверяем, существуют ли фильтры
if (empty($filters) || !isset($filters['filter_search'])) {
    return; // Выходим, если фильтры не настроены
}
?>

<div class="filter-search-bar">
    <div class="input-group">
        <?php echo $filters['filter_search']->input; // Поле ввода для фильтрации ?>
        <button type="submit" class="btn btn-primary">
            <span class="icon-search"></span> <?php echo Text::_('JSEARCH_FILTER_SUBMIT'); // Текст кнопки ?>
        </button>
    </div>
</div>
 
