<?php

namespace Xstartx\Component\Monetka\Administrator\Controller;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\Session\Session;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Language\Text;

\defined('_JEXEC') or die;

/**
 * Контроллер для управления криптовалютами.
 */
class CryptocurrenciesController extends AdminController
{
    /**
     * Метод для добавления новой криптовалюты.
     */
    public function add()
    {
        $this->setRedirect(Route::_('index.php?option=com_monetka&view=cryptocurrencies&layout=edit', false));
    }

    /**
     * Сохранение данных криптовалюты.
     */
    public function save()
    {
        if (!Session::checkToken()) {
            $this->setMessage(Text::_('JINVALID_TOKEN'), 'error');
            $this->setRedirect(Route::_('index.php?option=com_monetka&view=cryptocurrencies', false));
            return;
        }

        $input = Factory::getApplication()->input;
        $data = $input->get('jform', [], 'array');

        try {
            /**
             * @var \Xstartx\Component\Monetka\Administrator\Model\CryptocurrenciesModel $model
             */
            $model = $this->getModel('Cryptocurrencies', 'Administrator');
            if (!$model) {
                throw new \RuntimeException(Text::_('COM_MONETKA_MODEL_NOT_FOUND'));
            }

            if (!$model->save($data)) {
                $this->setMessage(Text::_('COM_MONETKA_CRYPTOS_SAVE_FAILED'), 'error');
                $this->setRedirect(Route::_('index.php?option=com_monetka&view=cryptocurrencies', false));
                return;
            }

            $this->setMessage(Text::_('COM_MONETKA_CRYPTOS_SAVED_SUCCESS'));
        } catch (\Exception $e) {
            $this->setMessage($e->getMessage(), 'error');
        }

        $this->setRedirect(Route::_('index.php?option=com_monetka&view=cryptocurrencies', false));
    }
    
    public function edit()
    {
        $id = $this->input->getInt('id');
        $this->setRedirect(Route::_('index.php?option=com_monetka&task=cryptocurrencies.edit&id=' . $id, false));
    }


}

