<?php

namespace Xstartx\Component\Monetka\Administrator\Controller;

use Joomla\CMS\MVC\Controller\BaseController; // Подключение BaseController
use Joomla\CMS\Factory; // Для получения глобального приложения
use Joomla\CMS\Language\Text; // Для работы с переводами
use Joomla\CMS\Router\Route; // Для работы с маршрутизатором
use Joomla\CMS\MVC\View\HtmlView;

defined('_JEXEC') or die;

/**
 * Контроллер отображения для компонента Monetka.
 *
 * @version    CVS: 1.0.0
 * @package    Com_Monetka
 * @since      1.0.0
 */
class DisplayController extends BaseController
{
    /**
     * Имя представления по умолчанию.
     *
     * @var string
     * @since 1.0.0
     */
    protected $default_view = 'monetka_balances';

    /**
     * Метод для отображения представления.
     *
     * @param   boolean  $cachable   Если true, выходные данные представления будут кэшироваться.
     * @param   array    $urlparams  Массив безопасных URL-параметров и их типов переменных.
     *
     * @return  BaseController|boolean  Этот объект для поддержки цепочки вызовов.
     *
     * @since   1.0.0
     */
    public function display($cachable = false, $urlparams = [])
    {
        $app = Factory::getApplication();
        $input = $app->input;
    
        // Проверка задачи
        $task = $input->getCmd('task', '');
        if ($task === 'settings.save') {
            $input->set('view', 'settings');
        }
    
        $viewName = $input->getCmd('view', $this->default_view);
        $input->set('view', $viewName);
    
        $safeUrlParams = [
            'id' => 'INT',
            'catid' => 'INT',
            'limit' => 'UINT',
            'limitstart' => 'UINT',
            'filter' => 'STRING',
            'search' => 'STRING',
            'task' => 'CMD'
        ];
    
        return parent::display($cachable, $urlparams ?: $safeUrlParams);
    }
    
}
 
