<?php

namespace Xstartx\Component\Monetka\Administrator\Table;

\defined('_JEXEC') or die;

use Joomla\CMS\Table\Table;
use Joomla\Database\DatabaseDriver;
use Joomla\CMS\Language\Text;

/**
 * Таблица для управления криптовалютами.
 */
class CryptocurrenciesTable extends Table
{
    /**
     * Конструктор таблицы.
     *
     * @param DatabaseDriver $db Экземпляр драйвера базы данных.
     */
    public function __construct(DatabaseDriver $db)
    {
        parent::__construct('#__monetka_cryptocurrencies', 'id', $db);
    }

    /**
     * Проверка данных перед сохранением.
     *
     * @return bool True, если проверка прошла успешно.
     * @throws \RuntimeException Если данные некорректны.
     */
    public function check()
    {
        // Проверка имени криптовалюты
        if (trim($this->name) === '') {
            throw new \RuntimeException(Text::_('COM_MONETKA_ERROR_NAME_EMPTY'));
        }
    
        // Проверка уникальности символа
        $query = $this->getDbo()->getQuery(true)
            ->select($this->getDbo()->quoteName('id'))
            ->from($this->getDbo()->quoteName('#__monetka_cryptocurrencies'))
            ->where($this->getDbo()->quoteName('symbol') . ' = ' . $this->getDbo()->quote($this->symbol))
            ->where($this->getDbo()->quoteName('id') . ' != ' . (int) $this->id); // Исключить текущую запись
    
        $this->getDbo()->setQuery($query);
        $result = $this->getDbo()->loadResult();
    
        if ($result) {
            throw new \RuntimeException(Text::_('COM_MONETKA_ERROR_SYMBOL_UNIQUE'));
        }
    
        return true;
    }
    
}

