<?php

namespace Xstartx\Component\Monetka\Administrator\View\Cryptocurrencies;

\defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;

/**
 * Представление для криптовалют.
 */
class HtmlView extends BaseHtmlView
{
    protected $items;
    protected $pagination;
    protected $state;
    protected $form;

    /**
     * Метод отображения представления.
     *
     * @param string|null $tpl Шаблон.
     * @return void
     */
    public function display($tpl = null)
    {
        $this->items = $this->get('Items'); // Получение списка записей
        $this->pagination = $this->get('Pagination'); // Получение данных пагинации
        $this->state = $this->get('State'); // Получение состояния модели
        $this->form = $this->get('Form'); // Инициализация формы
        
        // Настройка тулбара
        $this->addToolbar();

        parent::display($tpl);
    }

    /**
     * Настройка тулбара.
     *
     * @return void
     */
    protected function addToolbar()
    {
        // Устанавливаем заголовок тулбара
        ToolbarHelper::title(Text::_('COM_MONETKA_CRYPTOS_TITLE'), 'list');

        // Добавляем кнопки
        ToolbarHelper::addNew('cryptocurrencies.add', 'JTOOLBAR_NEW'); // Кнопка "Создать"
        ToolbarHelper::editList('cryptocurrencies.edit', 'JTOOLBAR_EDIT'); // Кнопка "Редактировать"
        ToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'cryptocurrencies.delete', 'JTOOLBAR_DELETE'); // Кнопка "Удалить"
        ToolbarHelper::save('cryptocurrencies.save', 'JTOOLBAR_SAVE'); // Кнопка "Сохранить"
        ToolbarHelper::custom('cryptocurrencies.requestExchange', 'download', '', 'Request from Exchange', false); // Кнопка "Запросить у биржи"
    }
}

