<?php

namespace Xstartx\Component\Monetka\Administrator\View\Monetka_balances;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\Helpers\Sidebar;
use Xstartx\Component\Monetka\Administrator\Model\Monetka_balancesModel;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Log\Log;

defined('_JEXEC') or die;

/**
 * @property Monetka_balancesModel $model
 */
class HtmlView extends BaseHtmlView
{
    protected $items;
    protected $pagination;
    protected $state;
    protected $filterForm;
    protected $activeFilters;
    protected $jomsocialEnabled;

    public function display($tpl = null)
    {
        // Логирование начала отображения представления
        Log::add('Начало отображения представления Monetka_balances.', Log::INFO, 'monetka');

        /** @var Monetka_balancesModel $model */
        $model = $this->getModel('Monetka_balances', 'Administrator');

        if (!$model) {
            // Логирование ошибки при отсутствии модели
            Log::add('Ошибка: Модель не найдена.', Log::ERROR, 'monetka');
            throw new \RuntimeException(Text::_('JERROR_MODEL_NOT_FOUND'));
        }

        $this->state = $model->getState();
        $this->items = $model->getItems();
        $this->pagination = $model->getPagination();
        $this->filterForm = $model->getFilterForm();
        $this->activeFilters = $this->state->get('filter', []);

        // Проверка на активность плагина Jomsocial
        $jomsocialEnabled = PluginHelper::getPlugin('monetka', 'jomsocial');
		$this->jomsocialEnabled = $jomsocialEnabled;
        // Логирование статуса плагина Jomsocial
        Log::add('Плагин Jomsocial ' . ($this->jomsocialEnabled ? 'активен' : 'не активен'), Log::INFO, 'monetka');

        $this->addToolbar();
        $this->sidebar = Sidebar::render();

        // Логирование успешного завершения отображения представления
        Log::add('Завершение отображения представления Monetka_balances.', Log::INFO, 'monetka');

        parent::display($tpl);
    }

    public function getFilterForm()
    {
        return $this->filterForm ?? null;
    }

    protected function addToolbar()
    {
        // Устанавливаем заголовок тулбара
        ToolbarHelper::title(Text::_('COM_MONETKA_TITLE_MONETKA_BALANCES'), 'list');
    
        // Добавляем кнопки
        ToolbarHelper::apply('monetka_balances.saveBalances', Text::_('JTOOLBAR_SAVE'));
        ToolbarHelper::save('monetka_balances.saveAndClose', Text::_('JTOOLBAR_SAVE_AND_CLOSE'));
        ToolbarHelper::cancel('monetka_balances.cancelChanges', Text::_('JTOOLBAR_CANCEL'));
    
        // Настраиваем боковую панель
        Sidebar::setAction('index.php?option=com_monetka&view=monetka_balances');
    }
}
 
