<?php

namespace Xstartx\Component\Monetka\Administrator\View\Settings;

defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;

/**
 * Представление для управления настройками компонента.
 */
class HtmlView extends BaseHtmlView
{
    /**
     * Данные формы.
     *
     * @var \Joomla\CMS\Form\Form
     */
    protected $form;

    /**
     * Состояние модели.
     *
     * @var object
     */
    protected $state;

    /**
     * Отображение представления.
     *
     * @param string|null $tpl Шаблон отображения.
     * @return void
     */
    public function display($tpl = null)
    {
        // Получаем форму и состояние модели
        $this->form = $this->get('Form');
        $this->state = $this->get('State');

        // Проверяем, есть ли ошибки
        if (count($errors = $this->get('Errors'))) {
            throw new \RuntimeException(implode("\n", $errors));
        }

        // Добавляем панель инструментов
        $this->addToolbar();

        // Вызываем родительский метод отображения
        parent::display($tpl);
    }

    /**
     * Добавление панели инструментов.
     *
     * @return void
     */
    protected function addToolbar()
    {
        ToolbarHelper::title(Text::_('COM_MONETKA_SETTINGS_TITLE'), 'cog');

        // Добавление кнопок панели инструментов
        ToolbarHelper::apply('settings.save', Text::_('JTOOLBAR_SAVE'));
        ToolbarHelper::cancel('settings.cancel', Text::_('JTOOLBAR_CANCEL'));
    }
}
 
