<?php

\defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

HTMLHelper::_('bootstrap.tooltip');
HTMLHelper::_('behavior.multiselect');

?>
<form action="<?php echo Route::_('index.php?option=com_monetka&view=cryptocurrencies'); ?>" method="post" id="adminForm" name="adminForm">
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th width="1%" class="text-center">
                        <?php echo HTMLHelper::_('grid.checkall'); ?>
                    </th>
                    <th><?php echo Text::_('COM_MONETKA_CRYPTOS_FIELD_ID'); ?></th> <!-- ID -->
                    <th><?php echo Text::_('COM_MONETKA_CRYPTOS_FIELD_NAME'); ?></th>
                    <th><?php echo Text::_('COM_MONETKA_CRYPTOS_FIELD_SYMBOL'); ?></th>
                    <th><?php echo Text::_('COM_MONETKA_CRYPTOS_FIELD_PRICE_RUB'); ?></th>
                    <th><?php echo Text::_('COM_MONETKA_CRYPTOS_FIELD_PRICE_USD'); ?></th>
                    <th><?php echo Text::_('COM_MONETKA_CRYPTOS_FIELD_LAST_UPDATED'); ?></th> <!-- Дата изменения -->
                </tr>
            </thead>
            <tbody>
                <?php if (empty($this->items)) : ?>
                    <tr>
                        <td colspan="7" class="text-center">
                            <?php echo Text::_('COM_MONETKA_NO_RECORDS_FOUND'); ?>
                        </td>
                    </tr>
                <?php else : ?>
                    <?php foreach ($this->items as $i => $item) : ?>
                        <tr>
                            <td class="text-center">
                                <?php echo HTMLHelper::_('grid.id', $i, $item->id); ?>
                            </td>
                            <td><?php echo $item->id; ?></td> <!-- Отображение ID -->
                            <td>
                                <a href="<?php echo Route::_('index.php?option=com_monetka&task=cryptocurrencies.edit&id=' . (int) $item->id); ?>">
                                    <?php echo $this->escape($item->name); ?>
                                </a>
                            </td>
                            <td><?php echo $this->escape($item->symbol); ?></td>
                            <td><?php echo number_format($item->price_rub, 2, ',', ' '); ?></td>
                            <td><?php echo number_format($item->price_usd, 2, ',', ' '); ?></td>
                            <td><?php echo $item->last_updated ? date('Y-m-d H:i:s', strtotime($item->last_updated)) : Text::_('COM_MONETKA_NOT_AVAILABLE'); ?></td> <!-- Дата изменения -->
                        </tr>
                    <?php endforeach; ?>
                <?php endif; ?>
            </tbody>
        </table>
    </div>
    <input type="hidden" name="task" value="">
    <?php echo HTMLHelper::_('form.token'); ?>
</form>

