<?php

/**
 * @version    CVS: 1.0.0
 * @package    Com_Monetka
 * @author     MIKHAIL KUCHEROV
 * @copyright  2024 MIKHAIL KUCHEROV
 * @license    GNU General Public License версии 2 или более поздней; Смотрите LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Language\Multilanguage;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

// Подключение скриптов для форм
HTMLHelper::_('behavior.keepalive');
HTMLHelper::_('behavior.formvalidator');

// Получение данных формы
$form = $this->form;
?>

<div class="settings-container">
    <!-- Заголовок страницы -->
    <h1><?php echo Text::_('COM_MONETKA_SETTINGS_TITLE'); ?></h1>

    <!-- Форма для настроек -->
    <form action="<?php echo Route::_('index.php?option=com_monetka&task=settings.save'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
        <fieldset class="adminform">
            <legend><?php echo Text::_('COM_MONETKA_SETTINGS_TAB_GENERAL'); ?></legend>

            <?php foreach ($form->getFieldset('general') as $field): ?>
                <div class="form-group">
                    <?php echo $field->label; ?>
                    <?php echo $field->input; ?>
                </div>
            <?php endforeach; ?>
        </fieldset>

        <!-- Кнопки управления -->
        <div class="btn-toolbar">
            <div class="btn-group">
                <button type="submit" class="btn btn-success" name="task" value="settings.save">
                    <?php echo Text::_('JSAVE'); ?>
                </button>
            </div>
            <div class="btn-group">
                <button type="button" class="btn btn-secondary" onclick="Joomla.submitbutton('settings.cancel');">
                    <?php echo Text::_('JCANCEL'); ?>
                </button>
            </div>
        </div>

        <!-- Скрытые поля -->
        <input type="hidden" name="task" value="settings.save">
        <?php echo HTMLHelper::_('form.token'); ?>
    </form>
</div>
 
