<?php
/**
 * @version    CVS: 1.0.0
 * @package    Com_Monetka
 * @author     MIKHAIL KUCHEROV <Mik777081@mail.ru>
 * @copyright  2024 MIKHAIL KUCHEROV
 * @license    GNU General Public License версии 2 или более поздней; Смотрите LICENSE.txt
 */

 namespace Xstartx\Component\Monetka\Site\Field;

 defined('JPATH_BASE') or die;
 
 use Joomla\CMS\Factory;
 use Joomla\CMS\Form\Field\ListField;
 
 /**
  * Supports an HTML select list of categories
  *
  * @since  1.0.0
  */
 class NestedparentField extends ListField
 {
	 protected $type = 'nestedparent';
 
	 protected function getOptions()
	 {
		 $options = array();
		 $table   = $this->getAttribute('table');
 
		 $db = Factory::getContainer()->get('DatabaseDriver');
		 $query = $db->getQuery(true)
			 ->select('DISTINCT(a.id) AS value, a.title AS text, a.level, a.lft')
			 ->from($table . ' AS a');
 
		 if ($id = $this->form->getValue('id'))
		 {
			 $query->join('LEFT', $db->quoteName($table) . ' AS p ON p.id = ' . (int) $id)
				 ->where('NOT(a.lft >= p.lft AND a.rgt <= p.rgt)');
		 }
 
		 $query->order('a.lft ASC');
 
		 $db->setQuery($query);
 
		 try
		 {
			 $options = $db->loadObjectList();
		 }
		 catch (\RuntimeException $e)
		 {
			 Factory::getApplication()->enqueueMessage($e->getMessage(), 'warning');
		 }
 
		 for ($i = 0, $n = count($options); $i < $n; $i++)
		 {
			 $options[$i]->text = str_repeat('- ', $options[$i]->level) . $options[$i]->text;
		 }
 
		 $options = array_merge(parent::getOptions(), $options);
 
		 return $options;
	 }
 }