<?php

use Joomla\CMS\Language\Text;

\defined('_JEXEC') or die;

// Подключаем файлы CSS для оформления таблицы
$this->document->addStyleDeclaration('
    .monetka-balance-table {
        width: 100%;
        border-collapse: collapse;
        margin: 20px 0;
    }
    .monetka-balance-table th, .monetka-balance-table td {
        border: 1px solid #ddd;
        padding: 8px;
        text-align: left;
    }
    .monetka-balance-table th {
        background-color: #f2f2f2;
        font-weight: bold;
    }
    .monetka-balance-title {
        font-size: 24px;
        margin: 10px 0;
        text-align: left;
    }
');

// Данные для таблицы
$balances = $this->balances;
?>

<div class="monetka-balance">
    <h2 class="monetka-balance-title"><?php echo Text::_('Мой баланс'); ?></h2>
    
    <table class="monetka-balance-table">
        <thead>
            <tr>
                <th><?php echo Text::_('COM_MONETKA_USERNAME'); ?></th>
                <th><?php echo Text::_('COM_MONETKA_BALANCE'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php if (!empty($balances) && is_array($balances)): ?>
                <?php foreach ($balances as $balance): ?>
                    <tr>
                        <td><?php echo htmlspecialchars($balance['username'], ENT_QUOTES, 'UTF-8'); ?></td>
                        <td><?php echo number_format((float)$balance['balance'], 2, '.', ''); ?></td>
                    </tr>
                <?php endforeach; ?>
            <?php else: ?>
                <tr>
                    <td colspan="2"><?php echo Text::_('COM_MONETKA_NO_BALANCE_AVAILABLE'); ?></td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>
</div>
 
